@import url(./fonts.css);
@import url(./kevin.css);
@import url(./john.css);
@import url(./drew.css);
/*
 * HTML5 Boilerplate
 *
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 *
 * Detailed information about this CSS: h5bp.com/css
 *
 * ==|== normalize ==========================================================
 */


/* =============================================================================
   HTML5 display definitions
   ========================================================================== */

article, aside, details, figcaption, figure, footer, header, hgroup, nav, section { display: block; }
audio, canvas, video { display: inline-block; *display: inline; *zoom: 1; }
audio:not([controls]) { display: none; }
[hidden] { display: none; }


/* =============================================================================
   Base
   ========================================================================== */

/*
 * 1. Correct text resizing oddly in IE6/7 when body font-size is set using em units
 * 2. Prevent iOS text size adjust on device orientation change, without disabling user zoom: h5bp.com/g
 */

html { font-size: 100%; -webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%;}

html, button, input, select, textarea { font-family: sans-serif; color: #222; -webkit-font-smoothing: antialiased;}

body { margin: 0; font-size: 1em; line-height: 1.4; }

/*
 * Remove text-shadow in selection highlight: h5bp.com/i
 * These selection declarations have to be separate
 * Also: hot pink! (or customize the background color to match your design)
 */

::-moz-selection { background: #fe57a1; color: #fff; text-shadow: none; }
::selection { background: hsl(207, 99%, 67%); color: #fff; text-shadow: none; }


/* =============================================================================
   Links
   ========================================================================== */

a { color: hsl(53, 44%, 85%); }
a:visited { color: hsl(53, 44%, 85%); }
a:hover { color: #06e; }
a:focus { outline: thin dotted; }

/* Improve readability when focused and hovered in all browsers: h5bp.com/h */
a:hover, a:active { outline: 0; }


/* =============================================================================
   Typography
   ========================================================================== */

abbr[title] { border-bottom: 1px dotted; }

b, strong { font-weight: bold; }

blockquote { margin: 1em 40px; }

dfn { font-style: italic; }

hr { display: block; height: 1px; border: 0; border-top: 1px solid #ccc; margin: 1em 0; padding: 0; }

ins { background: #ff9; color: #000; text-decoration: none; }

mark { background: #ff0; color: #000; font-style: italic; font-weight: bold; }

/* Redeclare monospace font family: h5bp.com/j */
pre, code, kbd, samp { font-family: monospace, serif; _font-family: 'courier new', monospace; font-size: 1em; }

/* Improve readability of pre-formatted text in all browsers */
pre { white-space: pre; white-space: pre-wrap; word-wrap: break-word; }

q { quotes: none; }
q:before, q:after { content: ""; content: none; }

small { font-size: 85%; }

/* Position subscript and superscript content without affecting line-height: h5bp.com/k */
sub, sup { font-size: 75%; line-height: 0; position: relative; vertical-align: baseline; }
sup { top: -0.5em; }
sub { bottom: -0.25em; }


/* =============================================================================
   Lists
   ========================================================================== */

ul, ol { margin: 1em 0; padding: 0 0 0 40px; }
dd { margin: 0 0 0 40px; }
nav ul, nav ol { list-style: none; list-style-image: none; margin: 0; padding: 0; }


/* =============================================================================
   Embedded content
   ========================================================================== */

/*
 * 1. Improve image quality when scaled in IE7: h5bp.com/d
 * 2. Remove the gap between images and borders on image containers: h5bp.com/i/440
 */

img { border: 0; -ms-interpolation-mode: bicubic; vertical-align: middle; }

/*
 * Correct overflow not hidden in IE9
 */

svg:not(:root) { overflow: hidden; }


/* =============================================================================
   Figures
   ========================================================================== */

figure { margin: 0; }


/* =============================================================================
   Forms
   ========================================================================== */

form { margin: 0; }
fieldset { border: 0; margin: 0; padding: 0; }

/* Indicate that 'label' will shift focus to the associated form element */
label { cursor: pointer; }

/*
 * 1. Correct color not inheriting in IE6/7/8/9
 * 2. Correct alignment displayed oddly in IE6/7
 */

legend { border: 0; *margin-left: -7px; padding: 0; white-space: normal; }

/*
 * 1. Correct font-size not inheriting in all browsers
 * 2. Remove margins in FF3/4 S5 Chrome
 * 3. Define consistent vertical alignment display in all browsers
 */

button, input, select, textarea { font-size: 100%; margin: 0; vertical-align: baseline; *vertical-align: middle; }

/*
 * 1. Define line-height as normal to match FF3/4 (set using !important in the UA stylesheet)
 */

button, input { line-height: normal; }

/*
 * 1. Display hand cursor for clickable form elements
 * 2. Allow styling of clickable form elements in iOS
 * 3. Correct inner spacing displayed oddly in IE7 (doesn't effect IE6)
 */

button, input[type="button"], input[type="reset"], input[type="submit"] { cursor: pointer; -webkit-appearance: button; *overflow: visible; }

/*
 * Re-set default cursor for disabled elements
 */

button[disabled], input[disabled] { cursor: default; }

/*
 * Consistent box sizing and appearance
 */

input[type="checkbox"], input[type="radio"] { box-sizing: border-box; padding: 0; *width: 13px; *height: 13px; }
input[type="search"] { -webkit-appearance: textfield; -moz-box-sizing: content-box; -webkit-box-sizing: content-box; box-sizing: content-box; }
input[type="search"]::-webkit-search-decoration, input[type="search"]::-webkit-search-cancel-button { -webkit-appearance: none; }

/*
 * Remove inner padding and border in FF3/4: h5bp.com/l
 */

button::-moz-focus-inner, input::-moz-focus-inner { border: 0; padding: 0; }

/*
 * 1. Remove default vertical scrollbar in IE6/7/8/9
 * 2. Allow only vertical resizing
 */

textarea { overflow: auto; vertical-align: top; resize: vertical; }

/* Colors for form validity */
input:valid, textarea:valid {  }
input:invalid, textarea:invalid { }


/* =============================================================================
   Tables
   ========================================================================== */

table { border-collapse: collapse; border-spacing: 0; }
td { vertical-align: top; }


/* =============================================================================
   Chrome Frame Prompt
   ========================================================================== */

.chromeframe { margin: 0.2em 0; background: #ccc; color: black; padding: 0.2em 0; }


/* ==|== primary styles =====================================================
   Author:
   ========================================================================== */
















/* ==|== media queries ======================================================
   EXAMPLE Media Query for Responsive Design.
   This example overrides the primary ('mobile first') styles
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}



/* ==|== non-semantic helper classes ========================================
   Please define your styles before this section.
   ========================================================================== */

/* For image replacement */
.ir { border: 0; font: 0/0 a; text-shadow: none; color: transparent; background-color: transparent; }

/* Hide from both screenreaders and browsers: h5bp.com/u */
.hidden { display: none !important; visibility: hidden; }

/* Hide only visually, but have it available for screenreaders: h5bp.com/v */
.visuallyhidden { border: 0; clip: rect(0 0 0 0); height: 1px; margin: -1px; overflow: hidden; padding: 0; position: absolute; width: 1px; }

/* Extends the .visuallyhidden class to allow the element to be focusable when navigated to via the keyboard: h5bp.com/p */
.visuallyhidden.focusable:active, .visuallyhidden.focusable:focus { clip: auto; height: auto; margin: 0; overflow: visible; position: static; width: auto; }

/* Hide visually and from screenreaders, but maintain layout */
.invisible { visibility: hidden; }

/* Contain floats: h5bp.com/q */
.clearfix:before, .clearfix:after { content: ""; display: table; }
.clearfix:after { clear: both; }
.clearfix { *zoom: 1; }



/* ==|== print styles =======================================================
   Print styles.
   Inlined to avoid required HTTP connection: h5bp.com/r
   ========================================================================== */

@media print {
  * { background: transparent !important; color: black !important; box-shadow:none !important; text-shadow: none !important; filter:none !important; -ms-filter: none !important; } /* Black prints faster: h5bp.com/s */
  a, a:visited { text-decoration: underline; }
  a[href]:after { content: " (" attr(href) ")"; }
  abbr[title]:after { content: " (" attr(title) ")"; }
  .ir a:after, a[href^="javascript:"]:after, a[href^="#"]:after { content: ""; } /* Don't show links for images, or javascript/internal links */
  pre, blockquote { border: 1px solid #999; page-break-inside: avoid; }
  thead { display: table-header-group; } /* h5bp.com/t */
  tr, img { page-break-inside: avoid; }
  img { max-width: 100% !important; }
  @page { margin: 0.5cm; }
  p, h2, h3 { orphans: 3; widows: 3; }
  h2, h3 { page-break-after: avoid; }
}

body {
    margin: 0;
    padding: 0;
    color: white;
    background-repeat: no-repeat, repeat, no-repeat;
    background-image: url(../img/cloud.png), url(../img/stars.png), -webkit-linear-gradient(90deg, hsl(0, 24%, 28%), hsl(0, 24%, 28%) 5%, hsla(0, 24%, 28%, 0) 20%, hsla(0, 24%, 28%, 0));
    background-image: url(../img/cloud.png), url(../img/stars.png), -moz-linear-gradient(90deg, hsl(0, 24%, 28%), hsl(0, 24%, 28%) 5%, hsla(0, 24%, 28%, 0) 20%, hsla(0, 24%, 28%, 0));
    background-image: url(../img/cloud.png), url(../img/stars.png), -ms-linear-gradient(90deg, hsl(0, 24%, 28%), hsl(0, 24%, 28%) 5%, hsla(0, 24%, 28%, 0) 20%, hsla(0, 24%, 28%, 0));
    background-size: 100% auto, auto, auto;
    background-color: hsl(217, 53%, 14%);
    background-position: 2000px center, center, center top;
}

body > header {
    background-image: url(../img/atmosphere.png), url(../img/stars.png), -webkit-linear-gradient(90deg, hsl(-1, 24%, 28%), hsl(0, 24%, 28%) 0%, hsla(0, 24%, 28%, 0) 50%, hsla(0, 24%, 28%, 0));
    background-image: url(../img/atmosphere.png), url(../img/stars.png), -moz-linear-gradient(90deg, hsl(-1, 24%, 28%), hsl(0, 24%, 28%) 0%, hsla(0, 24%, 28%, 0) 50%, hsla(0, 24%, 28%, 0));
    background-image: url(../img/atmosphere.png), url(../img/stars.png), -ms-linear-gradient(90deg, hsl(-1, 24%, 28%), hsl(0, 24%, 28%) 0%, hsla(0, 24%, 28%, 0) 50%, hsla(0, 24%, 28%, 0));
    padding: 40px 0 60px;
    color: #a0d7ea;
    border-top: 8px solid black;
    background-position: center;
}

body > header hgroup {
    padding-left: 450px;
    width: 530px;
    margin: 0 auto;
    background-image: url(../img/rocket.svg);
    background-repeat: no-repeat;
    background-position: -100px top;
    background-size: 480px auto;
    min-height: 350px;
    padding-top: 30px;
}
.offline body > header hgroup{
  background-image: url(../img/steven_with_kitten.jpg);
  background-repeat: no-repeat;
  background-position: -50px 0;
}

nav {
    background: black;
    height: 70px;
    margin: 0;
    padding-top: 1px;
}

nav p {
    line-height: 70px;
    vertical-align: middle;
    margin: 0;
    width: 980px;
    margin: 0 auto;
    font-family: 'Orbitron';
    font-weight: 900;
    color: #1e608a;
    text-transform: uppercase;
    text-align: center;
}
nav a, nav a:visited {
    display: inline-block;
    background-color: hsl(53, 44%, 85%);
    border-radius: 20px;
    height: 35px;
    vertical-align: middle;
    line-height: 35px;
    width: 35px;
    text-align: center;
    text-decoration: none;
    margin: 0 8px;
    font-size: 21px;
    color: hsl(191, 71%, 20%);
    background-image: -webkit-linear-gradient(-90deg, hsla(0, 100%, 100%, .7), hsla(0, 100%, 100%, 0) 50%);
    background-image: -moz-linear-gradient(-90deg, hsla(0, 100%, 100%, .7), hsla(0, 100%, 100%, 0) 50%);
    background-image: -ms-linear-gradient(-90deg, hsla(0, 100%, 100%, .7), hsla(0, 100%, 100%, 0) 50%);
}
dt {
    font-family: 'Orbitron';
    text-transform: uppercase;
    display: inline-block;
    margin: 0 10px;
    font-weight: 600;
    font-size: 22px;
    color: hsl(203, 64%, 33%);
    cursor: pointer;
    text-shadow: 0px 1px 10px rgba(0,0,0,.8);
    line-height: 30px;
    height: 30px;
    vertical-align: middle;
    top: 2px;
    position: relative;
    -webkit-transition: color .3s ease-out;
    -moz-transition: color .3s ease-out;
    -ms-transition: color .3s ease-out;
}

article h2 {
    font-family: 'Orbitron';
    font-size: 42px;
    font-weight: 400;
    position: absolute;
    top: 50px;
    line-height: 1em;
    margin: 0;
    text-shadow: 0px 1px 5px rgba(0,0,0,.4);
    left: 240px;
}
article header a{
    color: white;
}
dd {
    position: absolute;
    left: 200px;
    top: 90px;
    min-height: 600px;
    width: 525px;
    opacity: 0;
    -webkit-transition-property: opacity;
    -webkit-transition-duration: .3s;
    -webkit-transition-timing-function: ease-out;
    -moz-transition-property: opacity;
    -moz-transition-duration: .3s;
    -moz-transition-timing-function: ease-out;
    -ms-transition-property: opacity;
    -ms-transition-duration: .3s;
    -ms-transition-timing-function: ease-out;
    white-space: normal;
    font-size: 14px;
    color: hsl(203, 64%, 54%);
    line-height: 1.8em;
}
dl {
    white-space: nowrap;
    display: inline-block;
    margin: 0;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

body > div > ol {
    width: 980px;
    margin: 0 auto;
    list-style: none;
}
ol li::before {
    content: counter(lesson);
    display: block;
    float: left;
    font: 600 100px/180px 'Orbitron';
    width: 180px;
    background: hsl(53, 44%, 85%);
    border-radius: 90px;
    text-align: center;
    color: hsl(203, 64%, 33%);
    height: 180px;
    text-shadow: 0px 1px 5px rgba(0,0,0,.4);
    box-shadow: 0px 6px 20px rgba(0,0,0,.8);
    margin-right: 50px;
    background-image: -webkit-linear-gradient(-90deg, hsla(0, 100%, 100%, .7), hsla(0, 100%, 100%, 0) 50%);
    background-image: -moz-linear-gradient(-90deg, hsla(0, 100%, 100%, .7), hsla(0, 100%, 100%, 0) 50%);
    background-image: -ms-linear-gradient(-90deg, hsla(0, 100%, 100%, .7), hsla(0, 100%, 100%, 0) 50%);
}
ol > li {
    counter-increment: lesson;
    clear: both;
    height: 800px;
    padding-top: 100px;
}
ol li:nth-child(2n):before {
    float: right;
    margin-right: 0;
    margin-left: 50px;
}

body > div:after {
    content: ' ';
    display: block;
    clear: both;
}

header {
    position: relative;
}
li:nth-child(2n) article h2 {
    left: auto;
    right: 240px;
}
ol li:nth-child(2n) {
    text-align: right;
}
body > div {
    padding: 100px 0;
}

h1 {
    font: 900 56px/1.1em 'Orbitron';
    color: hsl(53, 44%, 85%);
    margin: 0;
}

h1 em {
    font-style: normal;
    font-weight: 300;
    font-size: 46px;
    white-space: nowrap;
}

dt.active {
    color: hsl(53, 44%, 85%);
}
dt.active + dd {
    opacity: 1;
    -webkit-transition-delay: .3s;
    z-index: 40;
    -webkit-user-select: auto;
    -moz-transition-delay: .3s;
    -ms-transition-delay: .3s;
}

.pagination {
    display: inline-block;
    width: 30px;
    height: 30px;
    background-color: hsl(53, 44%, 85%);
    border-radius: 15px;
    font-family: 'Icons';
    text-align: center;
    background-image: -webkit-linear-gradient(-90deg, hsla(0, 100%, 100%, .7), hsla(0, 100%, 100%, 0) 50%);
    background-image: -moz-linear-gradient(-90deg, hsla(0, 100%, 100%, .7), hsla(0, 100%, 100%, 0) 50%);
      background-image: -ms-linear-gradient(-90deg, hsla(0, 100%, 100%, .7), hsla(0, 100%, 100%, 0) 50%);
    color: hsl(203, 64%, 23%);
    line-height: 31px;
    text-shadow: 0px 1px 3px hsla(0, 0%, 0%, .4);
    vertical-align: middle;
}

.pagination.next {
    right: 0;
    left: auto;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    cursor: pointer;
}

figcaption {
    font-size: 24px;
    font-weight: 600;
    color: #1e608a;
}
figcaption strong {
    color: #e9e5c7;
    margin-right: 10px;
}
ol ol li, ol ul li {
counter-increment: dd;
text-align: left !important;
height: auto;
font-weight: normal;
font-size: 18px;
margin: 0;
color: white;
padding-top: 0;
}
ol ol li::before, ol ul li::before, ol ul li::before {
    display: none;
}

.no-smil body > header hgroup {
    background-image: url(../img/rocket.png);
}

.pagination:active {
    line-height: 33px;
    height: 30px;
    background-image: none;
}

nav.fixed {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 50;
}

#example {}
#example {}
#example {}
#example {}
#example {
    background: white;
    clear: both;
}

li:nth-child(2n) pre {
    float: right;
}

header.fixed {
    margin-bottom: 70px;
}
body{
  -webkit-transition: background-color .3s linear;
}
@-webkit-keyframes color-spin{
    0%{
      background-color: hsl(217, 100%, 14%);
    }
    30%{
      background-color: hsl(37, 100%, 14%);
    }
    60%{
      background-color: hsl(-200, 100%, 14%);
    }

}
body.konami{
  -webkit-animation: color-spin .6s linear 0s 10;
}
